Bug 3355 - Слетевший перевод в About / Авторы
: Слетевший перевод в About / Авторы
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hydrogen)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-12-08 20:12 by
Modified: 2009-05-10 09:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-12-08 20:12:01
Тривиально где-то что-то с кодировкой слетело. Видно при выборе "? / О
программе
/ Авторы".

Steps to Reproduce:
1. Запустить hydrogen
2. "? / О программе / Авторы".

Actual Results:  
??????:
Alex Cominu
[comix@users.sourceforge.net]
????????????? ?? ??????, ???????? ???????????


Artemiy Pavlov
[artemio@artemio.net]
???????? ? ??????????????

Expected Results:  
Видимо, некий перевод текста, что за вопросиками.
------- Comment #1 From 2004-03-12 13:13:19 -------
Я посмотрел код.

В него заложены строки вида

QString authors;
authors += trUtf8( "<b>Authors:</b><br>");

Если вдумчиво почитать http://doc.trolltech.com/3.1/i18n.html, то это именно
рекомендованный способ маркировки переводимых строк для приложений, в которых
используется не только Latin1 набор символов.

Тем не менее, в большинстве локализуемых (и успешно) plain Qt приложений
используется tr, а не trUtf8, и это прокатывает на ура.

Есть идеи? Зерга подключим?
------- Comment #2 From 2004-03-12 17:17:44 -------
Либо заменить trUtf8 на tr 
либо проверить кодировку po файла, должна быть UTF-8 
------- Comment #3 From 2006-09-27 17:45:34 -------
reassign

это на 0.9.3-alt1 воспроизводится?
------- Comment #4 From 2006-09-27 21:22:02 -------
В 0.9.3-alt1 эта часть, видимо, просто не переведена. Выглядит так:

Main coder and mantainer:
Alessandro Cominu (aka Comix)
Thanks to:
Antonio Piraino
Artemiy Pavlov (aka Artemio)
Alexandre Prokoudine
Ben Powers
...
------- Comment #5 From 2006-09-27 22:52:52 -------
И то хорошо :-).
------- Comment #6 From 2007-01-08 00:43:12 -------
(посмотрел) IMHO FIXED